/**
*
* @package	bewerten
* @web		http://www.it-talent.de
* @since	2013/03/31
*
*/

function getById(id)
{
	return document.getElementById(id);
}

function Request(array)
{
	var xmlHttp = false;

	if (window.XMLHttpRequest)
	{
		xmlHttp = new XMLHttpRequest();
	}
	else if (window.ActiveXObject)
	{
		xmlHttp = new ActiveXObject('Microsoft.XMLHTTP');
	}

	if (!xmlHttp)
	{
		return false;
	}

	xmlHttp.open(array.method, array.file);
	xmlHttp.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=utf-8');
	xmlHttp.onreadystatechange = function()
	{
		if (xmlHttp.readyState == 4 && array.onComplete)
		{
			array.onComplete(xmlHttp.responseText);
		}
	};
	xmlHttp.send(array.params || null);
}

var Bewerten = {};
var Bewertung = {};
Bewerten.init = function(arr)
{
	var html = '';

	for (var i = 1; i <= 5; i++)
	{
		html += '<span style="outline:none;float:left;height:25px;width:25px;background:url(sterne.gif) no-repeat;" onmouseout="Bewerten.out(this);" onmouseover="Bewerten.over(this,' + i + ');" onclick="return Bewerten.load(this,' + i + ');" title="' + i + '/5"></span>';
	}

	html += '&nbsp;<font style="color:#ababab;font:normal 10px verdana;"></font>';

	for (var key in arr)
	{
		var id = arr[key];
		var o = getById(id);

		o.style.height = '47px';
		o.style.width = '125px';
		o.innerHTML += html;

		Bewerten.load(id, 0);
	}
};
Bewerten.load = function(id, s)
{
	if (typeof id == 'object')
	{
		var id = id.parentNode.id;
	}

	new Request({
		file:	'bewerten.php',
		method:	'post',
		params:	'id=' + id + '&s=' + s,
		onComplete: function(value)
		{
			var tags = getById(id).getElementsByTagName('span');
			var inhalt = eval('(' + value + ')');

			Bewertung[id] = {'sterne':Math.floor(inhalt[3]),'stern':Math.floor(25*inhalt[3].substr(2,1)/10)};

			if (inhalt[2] == 1)
			{
				for (var i = 0; i <= 4; i++)
				{
					tags[i].style.cursor = 'default';
					tags[i].onmouseover = '';
					tags[i].innerHTML = '';
				}
			}
			else
			{
				for (var i = 0; i <= 4; i++)
				{
					tags[i].style.cursor = 'pointer';
				}
			}

			getById(id).getElementsByTagName('font')[0].innerHTML = '<b style="color:#52961B">' + inhalt[3] + '</b> / 5 (Votes: ' + inhalt[1] + ')';

			Bewerten.out(id);

			if (inhalt[2] == 1 && Bewertung[id].stern > 0)
			{
				tags[Bewertung[id].sterne].firstChild.onmouseover = '';
			}
		}
	});

	return false;
};
Bewerten.out = function(id)
{
	if (typeof id == 'object')
	{
		var id = id.parentNode.id;
	}

	var tags = getById(id).getElementsByTagName('span'), s = Bewertung[id].sterne;

	for (var i = 0; i <= 4; i++)
	{
		tags[i].style.backgroundPosition = '0 ' + (s > i ? '-25px' : 0);
	}

	if (Bewertung[id].stern > 0 && !tags[s].innerHTML)
	{
		tags[s].innerHTML = '<div style="outline:none;float:left;height:25px;width:' + Bewertung[id].stern + 'px;background:url(sterne.gif) 0 -25px no-repeat;" onMouseOver="this.parentNode.innerHTML = \'\';" title="' + s + '/5"></div>';	
	}
};
Bewerten.over = function(o, s)
{
	for (var i = 0, tags = o.parentNode.getElementsByTagName('span'); i < s; i++)
	{
		tags[i].innerHTML = '';
		tags[i].style.backgroundPosition = '0 -50px';
	}
};